# Record Class SyRenderNodeNoop

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.rendering.SyRenderNodeNoop

All Implemented Interfaces:
  `SyRenderNodePrimitiveType, SyRenderNodeType`

public record SyRenderNodeNoop() extends Record implements SyRenderNodePrimitiveType
A no-op render node.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyRenderNodeNoop()`
  Creates an instance of a `SyRenderNodeNoop` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  `static SyRenderNodeNoop`
  `noop()`
  `com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceComponentRelativeType>`
  `position()`
  `com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<SySpaceComponentRelativeType>`
  `size()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface SyRenderNodeType

  `boundingArea`

- ## Constructor Details

  - ### SyRenderNodeNoop

    public SyRenderNodeNoop()
    Creates an instance of a `SyRenderNodeNoop` record class.

- ## Method Details

  - ### noop

    public static SyRenderNodeNoop noop()
    Returns:
      A no-op render node.

  - ### name

    public String name()
    Specified by:
      `name` in interface `SyRenderNodeType`
    Returns:
      A name for the node, for debugging purposes

  - ### position

    public com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceComponentRelativeType> position()
    Specified by:
      `position` in interface `SyRenderNodeType`
    Returns:
      The position of the node relative to the component

  - ### size

    public com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<SySpaceComponentRelativeType> size()
    Specified by:
      `size` in interface `SyRenderNodeType`
    Returns:
      The size of the node

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.